Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.rpc.server
Class CommandServerSerializationStreamReader

    java.lang.Object
      com.google.gwt.rpc.server.CommandServerSerializationStreamReader

All Implemented Interfaces:
  SerializationStreamReader

    public class CommandServerSerializationStreamReader

extends java.lang.Object
implements SerializationStreamReader

This class will use ValueCommands to reconstitute objects.

Constructor Summary
`CommandServerSerializationStreamReader()`

Method Summary
`void` | `prepareToRead(java.util.List<com.google.gwt.rpc.client.ast.ValueCommand> commands)`
`boolean` | `readBoolean()`
`byte` | `readByte()`
`char` | `readChar()`
`double` | `readDouble()`
`float` | `readFloat()`
`int` | `readInt()`
`long` | `readLong()`
`java.lang.Object` | `readObject()`
`short` | `readShort()`
`java.lang.String` | `readString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandServerSerializationStreamReader

    public CommandServerSerializationStreamReader()

Method Detail

### prepareToRead

    public void prepareToRead(java.util.List<com.google.gwt.rpc.client.ast.ValueCommand> commands)

### readBoolean

    public boolean readBoolean()
                        throws SerializationException

  Specified by:
    `readBoolean` in interface `SerializationStreamReader`
  Throws:
    `SerializationException`

### readByte

    public byte readByte()
                  throws SerializationException

  Specified by:
    `readByte` in interface `SerializationStreamReader`
  Throws:
    `SerializationException`

### readChar

    public char readChar()
                  throws SerializationException

  Specified by:
    `readChar` in interface `SerializationStreamReader`
  Throws:
    `SerializationException`

### readDouble

    public double readDouble()
                      throws SerializationException

  Specified by:
    `readDouble` in interface `SerializationStreamReader`
  Throws:
    `SerializationException`

### readFloat

    public float readFloat()
                    throws SerializationException

  Specified by:
    `readFloat` in interface `SerializationStreamReader`
  Throws:
    `SerializationException`

### readInt

    public int readInt()
                throws SerializationException

  Specified by:
    `readInt` in interface `SerializationStreamReader`
  Throws:
    `SerializationException`

### readLong

    public long readLong()
                  throws SerializationException

  Specified by:
    `readLong` in interface `SerializationStreamReader`
  Throws:
    `SerializationException`

### readObject

    public java.lang.Object readObject()
                                throws SerializationException

  Specified by:
    `readObject` in interface `SerializationStreamReader`
  Throws:
    `SerializationException`

### readShort

    public short readShort()
                    throws SerializationException

  Specified by:
    `readShort` in interface `SerializationStreamReader`
  Throws:
    `SerializationException`

### readString

    public java.lang.String readString()
                                throws SerializationException

  Specified by:
    `readString` in interface `SerializationStreamReader`
  Throws:
    `SerializationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD